collapse

* Posts Recentes

Proteção Lipo por Kristey
[Hoje às 13:24]


Mais uma reparação - frigorífico Fagor por SerraCabo
[Ontem às 18:46]


Rolamentos por almamater
[13 de Janeiro de 2019, 22:26]


Artigo 11, 13 e os restantes por brunus
[13 de Janeiro de 2019, 20:26]


Corte de metal - Evolution Rage 2 por SerraCabo
[12 de Janeiro de 2019, 12:36]


Procuro serviço de impressão 3D por brunus
[10 de Janeiro de 2019, 13:41]


Compra partilhada no site da Elektor [voucher 10€ até 2 Janeiro] por brunus
[09 de Janeiro de 2019, 17:37]


Video Porteiro do Prédio por Alfredo Garcia
[06 de Janeiro de 2019, 23:27]


Alicate para crimpar? por Njay
[02 de Janeiro de 2019, 02:02]


Quem quer uma Elektor? por jm_araujo
[01 de Janeiro de 2019, 13:10]

Autor Tópico: Como usar ficheiros lisp no Draftsight?  (Lida 648 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline brunus

  • Mini Robot
  • *
  • Mensagens: 215
Como usar ficheiros lisp no Draftsight?
« em: 27 de Dezembro de 2016, 23:09 »
Precisava de estimar, calcular o perímetro de todas as linhas, segmentos, curvas de um desenho no draftsight. Pelo que percebi não existe essa função por defeito, ou se existe, é preciso andar a selecionar o inicio e fim de cada segmento e se forem mais de 300 segmentos/polylines, torna-se inviável.

Pesquisando o assunto, dei com um forum onde pessoal expõe programas ou uma série de linhas de comando para se usar com o autolisp.

um exemplo:
Citar
Give this a try:
Código: [Seleccione]
(defun c:tlen (/ n e ss rjp-getlength)
  (defun rjp-getlength (e / ep)
    (if (= (type e) 'ename)
      (setq e (vlax-ename->vla-object e))
    )
    (if (not (vl-catch-all-error-p
               (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))
             )
        )
      (vlax-curve-getdistatparam e ep)
      0.0
    )
  )
  (setq n 0)
  (if (setq ss (ssget))
    (progn (while (setq e (ssname ss 0))
             (setq n (+ (rjp-getlength e) n))
             (ssdel e ss)
           )
           (alert (rtos n))
    )
  )
  (princ)

Como posso usar isto no Draftsight?

1) Para gravar o ficheiro em lisp, basta colocar estas linhas no notepad e gravar com a extensão .lsp?
2) Como executo o ficheiro lisp no Draftsight? ou qual a linha de comandos?
3) É preciso compilar o ficheiro lisp ou colocá-lo em alguma pasta ou directorio do Draftsight?